Page MenuHomeFreeBSD

net/cf: Update to 6.24.0
ClosedPublic

Authored by dumbbell on Feb 17 2017, 1:30 PM.

Details

Summary

The way the port sets the version reported by cf --version is now the same as net/concourse-fly, ie. it uses a go build link flag. The previous method of patching didn't work anymore with this release.

Test Plan

Poudriere testport on HEAD/amd64 and 11.0/i386.
Used with a production Cloud Foundry.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dumbbell updated this revision to Diff 25313.Feb 17 2017, 1:30 PM
dumbbell retitled this revision from to net/cf: Update to 6.24.0.
dumbbell updated this object.
dumbbell edited the test plan for this revision. (Show Details)
dumbbell added reviewers: swills, antoine, bapt.
antoine accepted this revision.Feb 18 2017, 7:51 PM
antoine edited edge metadata.

Approved from mentor point of view.
Maintainer has to approve too.

This revision is now accepted and ready to land.Feb 18 2017, 7:51 PM
swills accepted this revision.Feb 25 2017, 2:28 PM
swills edited edge metadata.

Looks good, thanks!

This revision was automatically updated to reflect the committed changes.